Skip to main content
GET
/
v1
/
items
/
{itemId}
/
specialprices
Query Item Special Price
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v1/items/{itemId}/specialprices \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/specialprices"

headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/specialprices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ItemId": 123,
  "SpecialPrice": [
    {
      "IsActive": true,
      "CustomerGroupId": 123,
      "NetPrice": 123,
      "SalesChannelId": "<string>"
    }
  ],
  "IsActive": true,
  "StartDate": "2023-11-07T05:31:56Z",
  "EndDateActive": true,
  "EndDate": "2023-11-07T05:31:56Z",
  "TillAmountActive": true,
  "TillAmountInStockSmallerThan": 123
}
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

Path Parameters

itemId
integer<int32>
required

The id of the item that the special price details belong to.

Response

The requested special price details of the item .

Model Class: ItemSpecialPrice

ItemId
integer<int32>
required

Unique ID to identify an item.

SpecialPrice
object[]
required

List of all special prices for JTL-Wawi and the sales channel with the type online shop and JTL-POS.

IsActive
boolean
required

Indicates if the special price is active.

StartDate
string<date-time>
required

The date when the special price should start.

EndDateActive
boolean
required

If set, the special price will end on a given date. In this case, the field EndDate is required.

EndDate
string<date-time>
required

This is required if EndDateActive is set. In this case, the special price ends on this date.

TillAmountActive
boolean
required

Indicates that the special price ends when a certain amount is reached. The field TillAmountInStockSmallerThan is required in this case.

TillAmountInStockSmallerThan
integer<int32>
required

If this amount of stock for the item is reached, the special price ends. Only applies if TillAmountActive is true.